Subject: [Healeys] Rear drums 65 bj8

From: Greg Mandas <[email-masked]>
Date: Fri, 31 May 2013 18:52:42 -0700 (PDT)

Team.

Any problems, issues, warnings, suggestions about turning the rear drums on a Early Phase II BJ8?  Any recommendations for a shop in Southern Connecticut?

As I spin the rears while adjusting the brakes the drums drag for half a rotation and free up. Both sides. I'm guessing they need turning. (?)

I'm thinking this is why I can't get the E-Brake to engage with any authority. Since I can't adjust the rear shoes close enough and the E-Brake doesn't have "That" much travel, they barely engage with the handle straight up.

It would work if the thumb release had another tooth or two on which to grip.

Greg  
_______________________________________________
Archive: http://www.team.net/archive

[email-masked]
http://autox.team.net/mailman/listinfo/healeys